org.apache.http.nio.reactor

## Interface SocketAccessor

- All Known Implementing Classes:
    DefaultNHttpClientConnection, DefaultNHttpServerConnection, IOSessionImpl, NHttpConnectionBase, SSLIOSession, SSLIOSession

      public interface SocketAccessor

  Provides access to the underlying Socket.

  Remark: this interface will be removed in the next major release.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `getSocket()` Return the underlying socket

- - ### Method Detail

    - #### getSocket

          Socket getSocket()

      Return the underlying socket
      Returns:
        - the underlying Socket, may be `null`.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.